[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[or-cvs] Don"t fail in the init script when we cannot raise the ulim...



Update of /home/or/cvsroot/tor/debian
In directory moria:/tmp/cvs-serv17184/debian

Modified Files:
      Tag: tor-0_1_0-patches
	changelog tor.init 
Log Message:
Don't fail in the init script when we cannot raise the ulimit. Instead just warn a bit (closes: #312882).

Index: changelog
===================================================================
RCS file: /home/or/cvsroot/tor/debian/changelog,v
retrieving revision 1.120.2.2
retrieving revision 1.120.2.3
diff -u -d -r1.120.2.2 -r1.120.2.3
--- changelog	10 Jun 2005 16:02:46 -0000	1.120.2.2
+++ changelog	10 Jun 2005 16:08:13 -0000	1.120.2.3
@@ -14,8 +14,10 @@
     Of course the -dev package needs to be installed.
   * Update README.Debian to say that upstream now does have a default
     for DataDirectory.
+  * Don't fail in the init script when we cannot raise the ulimit.
+    Instead just warn a bit (closes: #312882).
 
- -- Peter Palfrader <weasel@xxxxxxxxxx>  Fri, 10 Jun 2005 18:05:27 +0200
+ -- Peter Palfrader <weasel@xxxxxxxxxx>  Fri, 10 Jun 2005 18:08:44 +0200
 
 tor (0.0.9.9-1) unstable; urgency=low
 

Index: tor.init
===================================================================
RCS file: /home/or/cvsroot/tor/debian/tor.init,v
retrieving revision 1.13
retrieving revision 1.13.2.1
diff -u -d -r1.13 -r1.13.2.1
--- tor.init	10 Mar 2005 18:19:14 -0000	1.13
+++ tor.init	10 Jun 2005 16:08:13 -0000	1.13.2.1
@@ -51,7 +51,7 @@
 		echo "Not starting $DESC (Disabled in $DEFAULTSFILE)."
 	else
 		echo "Starting $DESC: $NAME..."
-		ulimit -n $MAX_FILEDESCRIPTORS
+		ulimit -n $MAX_FILEDESCRIPTORS || echo "Warn: Could not set ulimit for number of file descriptors." >&2
 		start-stop-daemon --start --quiet --oknodo \
 			--chuid debian-tor:debian-tor \
 			--pidfile $TORPID \